Pool Info
Returns real-time and historical metrics for a specific Sushi V3 liquidity pool on an EVM chain, including TVL, swap volume, fee APR, price volatility, tick pressure, swap counts, and unique users across multiple time ranges (5 minutes, 1 hour, 1 day, 1 week, 1 month, and 1 year).
GET
https://api.cambrian.org/evm/sushi/v3/pool
Parameters
chain_id (integer)
EVM chain ID.
pool_address* (string)
Pool address with 0x prefix
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "token0Address",
"type": "String"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1Address",
"type": "String"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "feeTier",
"type": "UInt32"
},
{
"name": "tickSpacing",
"type": "Int32"
},
{
"name": "currentLiquidity",
"type": "Int256"
},
{
"name": "currentSqrtPriceX96",
"type": "UInt256"
},
{
"name": "currentTick",
"type": "Int32"
},
{
"name": "currentPoolPrice",
"type": "Float64"
},
{
"name": "poolTvlUsd",
"type": "Nullable(Float64)"
},
{
"name": "swapVolumeUsd",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "feeApr",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "priceVolatilityPct",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "priceVolatilityAdjustedPct",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "tickPressurePer1MUsd",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "swapCount",
"type": "Map(String,Nullable(UInt64))"
},
{
"name": "uniqueUserCount",
"type": "Map(String,Nullable(UInt64))"
}
],
"data": [
[
"2023-12-23T13:09:57+00:00",
"0x4200000000000000000000000000000000000006",
"WETH",
18,
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
6,
500,
10,
"8487718460179035",
"3844857694813377639091429",
-198677,
2355.0567310432452,
84803.14686774611,
{
"1 day": 119364.36448356358,
"1 hour": 6418.868038756872,
"1 month": 2291717.899434465,
"1 week": 620192.9129875308,
"1 year": 78543128.86025754,
"5 minute": 339.2511281047872
},
{
"1 day": 0.2568772188633915,
"1 hour": 0.33152828695851355,
"1 month": 0.16214383433259785,
"1 week": 0.19014643127363431,
"1 year": 0.4630908861362697,
"5 minute": 0.2102638870347091
},
{
"1 day": 0.01132907224136167,
"1 hour": 0.0025084887536545365,
"1 month": 0.05649227980935843,
"1 week": 0.025819872565409244,
"1 year": 0.35631014360137814,
"5 minute": 0.0005023881560921196
},
{
"1 day": 0.0001870110910066877,
"1 hour": 0.00017729199701247125,
"1 month": 0.00020546249062106394,
"1 week": 0.00018101024008875582,
"1 year": 0.0002477834743258659,
"5 minute": 0.00008955910774452763
},
{
"1 day": 4859.071654336716,
"1 hour": 4845.091036646871,
"1 month": 5180.480548207851,
"1 week": 4794.475940842915,
"1 year": 3393.713796075605,
"5 minute": 4421.503351749159
},
{
"1 day": 3669,
"1 hour": 200,
"1 month": 75594,
"1 week": 20347,
"1 year": 2067813,
"5 minute": 13
},
{
"1 day": 53,
"1 hour": 17,
"5 minute": 3
}
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Get pool metrics for a Sushi V3 pool on Base
Fetches current TVL, swap volume, fee APR, volatility, and activity metrics for a specific Sushi V3 pool on Base (chain_id 8453, the default).
curl
curl -X GET "https://api.cambrian.org/evm/sushi/v3/pool?pool_address=0x57713f7716e0b0f65ec116912f834e49805480d2" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "createdAt",
6 "type": "DateTime('UTC')"
7 },
8 {
9 "name": "token0Address",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1Address",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "feeTier",
34 "type": "UInt32"
35 },
36 {
37 "name": "tickSpacing",
38 "type": "Int32"
39 },
40 {
41 "name": "currentLiquidity",
42 "type": "Int256"
43 },
44 {
45 "name": "currentSqrtPriceX96",
46 "type": "UInt256"
47 },
48 {
49 "name": "currentTick",
50 "type": "Int32"
51 },
52 {
53 "name": "currentPoolPrice",
54 "type": "Float64"
55 },
56 {
57 "name": "poolTvlUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "swapVolumeUsd",
62 "type": "Map(String,Nullable(Float64))"
63 },
64 {
65 "name": "feeApr",
66 "type": "Map(String,Nullable(Float64))"
67 },
68 {
69 "name": "priceVolatilityPct",
70 "type": "Map(String,Nullable(Float64))"
71 },
72 {
73 "name": "priceVolatilityAdjustedPct",
74 "type": "Map(String,Nullable(Float64))"
75 },
76 {
77 "name": "tickPressurePer1MUsd",
78 "type": "Map(String,Nullable(Float64))"
79 },
80 {
81 "name": "swapCount",
82 "type": "Map(String,Nullable(UInt64))"
83 },
84 {
85 "name": "uniqueUserCount",
86 "type": "Map(String,Nullable(UInt64))"
87 }
88 ],
89 "data": [
90 [
91 "2023-12-23T13:09:57+00:00",
92 "0x4200000000000000000000000000000000000006",
93 "WETH",
94 18,
95 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
96 "USDC",
97 6,
98 500,
99 10,
100 "8487718460179035",
101 "3844857694813377639091429",
102 -198677,
103 2355.0567310432452,
104 84803.14686774611,
105 {
106 "1 day": 119364.36448356358,
107 "1 hour": 6418.868038756872,
108 "1 month": 2291717.899434465,
109 "1 week": 620192.9129875308,
110 "1 year": 78543128.86025754,
111 "5 minute": 339.2511281047872
112 },
113 {
114 "1 day": 0.2568772188633915,
115 "1 hour": 0.33152828695851355,
116 "1 month": 0.16214383433259785,
117 "1 week": 0.19014643127363431,
118 "1 year": 0.4630908861362697,
119 "5 minute": 0.2102638870347091
120 },
121 {
122 "1 day": 0.01132907224136167,
123 "1 hour": 0.0025084887536545365,
124 "1 month": 0.05649227980935843,
125 "1 week": 0.025819872565409244,
126 "1 year": 0.35631014360137814,
127 "5 minute": 0.0005023881560921196
128 },
129 {
130 "1 day": 0.0001870110910066877,
131 "1 hour": 0.00017729199701247125,
132 "1 month": 0.00020546249062106394,
133 "1 week": 0.00018101024008875582,
134 "1 year": 0.0002477834743258659,
135 "5 minute": 0.00008955910774452763
136 },
137 {
138 "1 day": 4859.071654336716,
139 "1 hour": 4845.091036646871,
140 "1 month": 5180.480548207851,
141 "1 week": 4794.475940842915,
142 "1 year": 3393.713796075605,
143 "5 minute": 4421.503351749159
144 },
145 {
146 "1 day": 3669,
147 "1 hour": 200,
148 "1 month": 75594,
149 "1 week": 20347,
150 "1 year": 2067813,
151 "5 minute": 13
152 },
153 {
154 "1 day": 53,
155 "1 hour": 17,
156 "5 minute": 3
157 }
158 ]
159 ],
160 "rows": 1
161 }
162]
2 {
3 "columns": [
4 {
5 "name": "createdAt",
6 "type": "DateTime('UTC')"
7 },
8 {
9 "name": "token0Address",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1Address",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "feeTier",
34 "type": "UInt32"
35 },
36 {
37 "name": "tickSpacing",
38 "type": "Int32"
39 },
40 {
41 "name": "currentLiquidity",
42 "type": "Int256"
43 },
44 {
45 "name": "currentSqrtPriceX96",
46 "type": "UInt256"
47 },
48 {
49 "name": "currentTick",
50 "type": "Int32"
51 },
52 {
53 "name": "currentPoolPrice",
54 "type": "Float64"
55 },
56 {
57 "name": "poolTvlUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "swapVolumeUsd",
62 "type": "Map(String,Nullable(Float64))"
63 },
64 {
65 "name": "feeApr",
66 "type": "Map(String,Nullable(Float64))"
67 },
68 {
69 "name": "priceVolatilityPct",
70 "type": "Map(String,Nullable(Float64))"
71 },
72 {
73 "name": "priceVolatilityAdjustedPct",
74 "type": "Map(String,Nullable(Float64))"
75 },
76 {
77 "name": "tickPressurePer1MUsd",
78 "type": "Map(String,Nullable(Float64))"
79 },
80 {
81 "name": "swapCount",
82 "type": "Map(String,Nullable(UInt64))"
83 },
84 {
85 "name": "uniqueUserCount",
86 "type": "Map(String,Nullable(UInt64))"
87 }
88 ],
89 "data": [
90 [
91 "2023-12-23T13:09:57+00:00",
92 "0x4200000000000000000000000000000000000006",
93 "WETH",
94 18,
95 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
96 "USDC",
97 6,
98 500,
99 10,
100 "8487718460179035",
101 "3844857694813377639091429",
102 -198677,
103 2355.0567310432452,
104 84803.14686774611,
105 {
106 "1 day": 119364.36448356358,
107 "1 hour": 6418.868038756872,
108 "1 month": 2291717.899434465,
109 "1 week": 620192.9129875308,
110 "1 year": 78543128.86025754,
111 "5 minute": 339.2511281047872
112 },
113 {
114 "1 day": 0.2568772188633915,
115 "1 hour": 0.33152828695851355,
116 "1 month": 0.16214383433259785,
117 "1 week": 0.19014643127363431,
118 "1 year": 0.4630908861362697,
119 "5 minute": 0.2102638870347091
120 },
121 {
122 "1 day": 0.01132907224136167,
123 "1 hour": 0.0025084887536545365,
124 "1 month": 0.05649227980935843,
125 "1 week": 0.025819872565409244,
126 "1 year": 0.35631014360137814,
127 "5 minute": 0.0005023881560921196
128 },
129 {
130 "1 day": 0.0001870110910066877,
131 "1 hour": 0.00017729199701247125,
132 "1 month": 0.00020546249062106394,
133 "1 week": 0.00018101024008875582,
134 "1 year": 0.0002477834743258659,
135 "5 minute": 0.00008955910774452763
136 },
137 {
138 "1 day": 4859.071654336716,
139 "1 hour": 4845.091036646871,
140 "1 month": 5180.480548207851,
141 "1 week": 4794.475940842915,
142 "1 year": 3393.713796075605,
143 "5 minute": 4421.503351749159
144 },
145 {
146 "1 day": 3669,
147 "1 hour": 200,
148 "1 month": 75594,
149 "1 week": 20347,
150 "1 year": 2067813,
151 "5 minute": 13
152 },
153 {
154 "1 day": 53,
155 "1 hour": 17,
156 "5 minute": 3
157 }
158 ]
159 ],
160 "rows": 1
161 }
162]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/sushi/v3/pool"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/sushi/v3/pool"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/sushi/v3/pool")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/sushi/v3/pool")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request